<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>
    <link rel="icon" type="image/x-icon" href="/pictures/favicon.ico">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css"
        integrity="sha512-Fo3rlrZj/k7ujTnHg4CGR2D7kSs0v4LLanw2qksYuRlEzO+tcaEPQogQ0KaoGN26/zrn20ImR1DfuLWnOo7aBA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link href="css/content.css" rel="stylesheet">
</head>

<body>
    <!-- navbar -->
    <nav class="navbar">
        <a class="navbar-brand" title="Waifu Home" href="/">
            <img class="site-logo" src="/pictures/WAIFU_LOGO_Light.png" alt="logo">
        </a>
        <form class="search-bar">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success search-btn" type="submit">Search</button>
        </form>
        <div class="group1 d-flex">
            <!--user history-->
            <button type="button" class="btn watch-history user-only" title="watch history">
                <i class="fas fa-history"></i>
            </button>
            <!--favorite-->
            <button type="button" class="btn bookmark user-only" title="bookmark">
                <i class="far fa-bookmark"></i>
            </button>
            <!--login btn-->
            <a href="login.html" class="btn btn-primary login-btn" title="login/register">
                <i class="far fa-user-circle"></i> login/Register
            </a>
            <!-- after login -->
            <div class="user-dropdown btn-group" hidden>
                <button type="button" class="btn dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false"
                    title="user">
                    <img class="user-profile-pic" src=""></button>
                <ul class="dropdown-menu dropdown-menu-end">
                    <li>
                        <div class="user-info">
                            <img src="" class="user-info-pic"> <span class="user-name"></span>
                        </div>
                    </li>
                    <li>
                        <div class="change-theme">
                            <i class="fas fa-eye-dropper"></i> Change Theme
                        </div>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <a class="dropdown-item" href="setting.html">User Setting</a>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <button type="button" class="btn btn-outline-primary logout-btn">
                            <i class="fas fa-running"></i> logout</button>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container">
        <div class="main-container row">
            <div class="col-md-9">
                <div class="video-container">
                    <video controls>

                        <!-- <source src="\videos\"> -->

                    </video>
                </div>
                <div class="menu-bar">
                    <div class="title-container">
                        <h3 class="series-title"></h3>
                        <span class="episode-title"></span>
                    </div>
                    <div class="button-container">
                        <span>彈幕：</span>
                        <button class="user-btn active" id="danmaku-status">開 啓</button>
                        <button class="user-btn" id="like-button"><i class="far fa-thumbs-up"></i><span
                                id="like">0</span></button>
                        <button class="user-btn" id="dislike-button"><i class="far fa-thumbs-down"></i><span
                                id="dislike">0</button>
                        <button class="user-btn" id="bookmark-button"><i class="far fa-bookmark"></i></button>
                        <div class="error inactive">
                            <p>Want to <span id="name"></span></p>
                            <p>Please <a href="/login.html">log in</a> first</p>
                        </div>
                    </div>
                </div>
                <div class="description-container">
                    <h3>簡介</h3>
                    <p class="description"></p>
                </div>
                <div class="comment-container">
                    <h3>留言區</h3>
                    <div class="comment-section">
                        <!-- <div class="comment-wrap">
                            <img class="avatar" src="/pictures/guest.png" alt="">
                            <div class="comment">
                                <span class="username"></span><span></span>
                                <div class="comment-content">第 集</div>
                            </div>
                        </div> -->
                    </div>
                    <form id="comment-form">
                        <div class="form-group">
                            <a href="/login.html">
                                <textarea class="non-user" placeholder="請登入以發送留言" disabled></textarea>
                            </a>
                            <textarea class="form-control comment-input user-only" name="content" maxlength="100"
                                placeholder="輸入留言..."></textarea>
                        </div>
                        <div class="form-group user-only">
                            <span class="comment-count">0</span><span>/100</span>
                            <button class="btn btn-success" type="submit">提交</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-3">
                <div class="danmaku-container">
                    <h3>彈幕</h3>
                    <div class="danmaku-title">
                        <span class="">Time</span>
                        <span class="">Content</span>
                    </div>
                    <div class="danmaku-content">
                        <!-- <div class="danmaku-wrap">
                            <span class="danmaku-time"></span>
                            <span class="danmaku-info"></span>
                        </div> -->
                    </div>
                    <form class="danmaku-form">
                        <a href="/login.html">
                            <input class="non-user" type="text" placeholder="請登入以發送彈幕" disabled>
                        </a>
                        <input class="danmaku-input user-only" type="text" name="text" maxlength="20"
                            placeholder="輸入彈幕..." autocomplete="off">
                        <div class="user-only">
                            <div class="d-flex">
                                <div class="setting">
                                    <span>彈幕模式</span>
                                    <ul class="danmaku-setting">
                                        <li>
                                            <span>位置</span>
                                            <div class="danmaku-mode">
                                                <div id="top"><i class="bi bi-border-top"></i>
                                                    <div>頂部</div>
                                                </div>
                                                <div id="rtl" class="active"><i class="bi bi-arrow-left-square"></i>
                                                    <div>右至左</div>
                                                </div>
                                                <div id="bottom"><i class="bi bi-border-bottom"></i>
                                                    <div>底部</div>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                                <input id="danmaku-color" type="color" value="#ffffff">
                            </div>
                            <div class="">
                                <span class="danmaku-count">0</span><span>/20</span>
                                <button class="user-btn" id="send-btn" type="submit"><i
                                        class="fas fa-paper-plane"></i></button>
                            </div>
                        </div>
                        <div>
                            <div class="admin-only" id="delete-btn">X</div>
                        </div>
                    </form>
                </div>
                <div class="ep-container">
                    <h3>選擇集數</h3>
                    <ul class="ep-list">
                        <!-- <li>
                            <div class="ep-wrap" id="">
                                <div class="ep-title"></div>
                                <div class="ep-number">第 集</div>
                            </div>
                        </li> -->
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
        </script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/danmaku/dist/danmaku.js"></script>
    <script src="js/content.js" type="module"></script>
</body>

</html>